### Class

# WebKit FaviconDatabase

unstable since: 6.0

#### Description [src]

    final class WebKit.FaviconDatabase : GObject.Object
    {
      /* No available fields */
    }

Provides access to the icons associated with web sites.

WebKit will automatically look for available icons in elements on opened pages as well as an existing favicon.ico and load the images found into a memory cache if possible. That cache is frozen to an on-disk database for persistence.

If `WebKitSettings:enable-private-browsing` is `TRUE`, new icons won’t be added to the on-disk database and no existing icons will be deleted from it. Nevertheless, WebKit will still store them in the in-memory cache during the current execution.

Available since: 6.0

#### Ancestors

- GObject

#### Instance methods

###### webkit_favicon_database_clear

Clears all icons from the database.

unstable since: 6.0

###### webkit_favicon_database_get_favicon

Asynchronously obtains a favicon image.

unstable since: 6.0

###### webkit_favicon_database_get_favicon_finish

Finishes an operation started with webkit_favicon_database_get_favicon().

unstable since: 6.0

###### webkit_favicon_database_get_favicon_uri

Obtains the URI of the favicon for the given `page_uri`.

unstable since: 6.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### WebKit.FaviconDatabase::favicon-changed

This signal is emitted when the favicon URI of `page_uri` has been changed to `favicon_uri` in the database. You can connect to this signal and call `webkit_favicon_database_get_favicon()` to get the favicon. If you are interested in the favicon of a `WebKitWebView` it’s easier to use the `WebKitWebView:favicon` property. See `webkit_web_view_get_favicon()` for more details.

unstable since: 6.0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct WebKitFaviconDatabaseClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.